from prompt_toolkit.validation import Validator, ValidationError

class StringValidator(Validator):

    def validate(self, document):
        try:
            str(document.text)
            if len(document.text) < 2:
                raise ValueError('Error')
        except ValueError:
                raise ValidationError(message="Renseigner une chaine de caractère de plus de 2 caractères s'il vous plait !",
                                  cursor_position=len(document.text))